Setting up problems in VS 2005

Help
2009-03-08
2013-05-01
  • Qiu Jianping

    Qiu Jianping - 2009-03-08

    Hi
      I download the version 2.2 and do exactily as the tutorial says, but when I debug my project , It said that there is not file "version.hpp". And when I download the "version.hpp" in boost, it's not compatible.
      I do use the old packages,but when debug the project, it cann't find the libcollada14dom21-d.dll. If I add the dll file in the root of my project, I encounter the problem of reading confliction.
      Are there  someone used to meet the same problem? Can you give me the solution ,please?
    Thank you!

     
    • Christoph Nenning

      > but when I debug my project , It said that there is not file "version.hpp".

      Where and when does Visual Studio say this?

      > I do use the old packages,but when debug the project, it cann't find the libcollada14dom21-d.dll.

      It is generated here:
      dom\build\vc8-1.4-d
      You have to copy it in a directory where your application can find it (e.g. the working directory), you may do this with a post-build-event.

      > If I add the dll file in the root of my project, I encounter the problem of reading confliction.

      Can you give us more details about that?

       
    • Qiu Jianping

      Qiu Jianping - 2009-03-10

      Thank you for you answer,Christoph Nenning.
      The messages about version 2.2 :
      1>compiling...
      1>test.cpp
      1>d:\program files\collada_dom\collada-dom\dom\external-libs\boost\boost\config\auto_link.hpp(93) : fatal error C1083: cann't open file:“boost/version.hpp”: No such file or directory

      As to the third problem, I found the answer. It's about the difference about Debug and release. I set the “Runtime library”  field in the "Code generate" tab for the "C/C++" project configuration settings to be "multithread debug DLL(MDd)".

      Thank you !

       
    • Christoph Nenning

      boost/version.hpp is not present on my system either. And I can build the DOM and domTest.

      Have you changed more project settings?

       
      • Qiu Jianping

        Qiu Jianping - 2009-03-13

        Thank you very much,kex347
        I did exactly as the user guide says.  I can build the dom and domtest either,but the dll file  is libcollada15dom21-d.dll, it means that the dom I use is still version 2.1,instead of 2.2.
        Thank you  for you answer. I'm now using the old version, and it seems to  work fine.

         

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks